Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Attributes/CreatableAttribute.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Attributes/CreatableAttribute.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Attributes/CreatableAttribute.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Attributes/ItemAttribute.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Attributes/ItemAttribute.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Attributes/ItemAttribute.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/CheckedItemCollection.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/CheckedItemCollection.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/CheckedItemCollection.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,7 +23,7 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HEAL.Attic;
 
 namespace HeuristicLab.Core {
@@ -108,4 +108,21 @@
 
     /// <summary>
+    /// Sets the checked state of <paramref name="items"/> to <paramref name="checkedState"/>.
+    /// </summary>
+    /// <param name="items">The items to set the checked state for.</param>
+    /// <param name="checkedState">The new checked state of <paramref name="item"/></param>
+    public void SetItemCheckedState(IEnumerable<T> items, bool checkedState) {
+      var changed = new List<T>();
+      foreach (var item in items) {
+        if (!this.checkedState.TryGetValue(item, out bool currentState)) throw new ArgumentException();
+        if (currentState != checkedState) {
+          this.checkedState[item] = checkedState;
+          changed.Add(item);
+        }
+      }
+      if (changed.Count > 0) OnCheckedItemsChanged(changed);
+    }
+
+    /// <summary>
     /// Adds a new <paramref name="item"/> with the given <paramref name="checkedState"/>.
     /// </summary>
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/CheckedItemList.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/CheckedItemList.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/CheckedItemList.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,7 +23,7 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HEAL.Attic;
 
 namespace HeuristicLab.Core {
@@ -111,12 +111,31 @@
     /// Sets the checked state of <paramref name="item"/> to <paramref name="checkedState"/>.
     /// </summary>
+    /// <remarks>
+    /// This method is slower than <see cref="SetItemCheckedState(int, bool)"/>.
+    /// </remarks>
     /// <param name="item">The item to set the checked state for.</param>
     /// <param name="checkedState">The new checked state of <paramref name="item"/></param>
     public void SetItemCheckedState(T item, bool checkedState) {
-      if (!this.checkedState.ContainsKey(item)) throw new ArgumentException();
-      if (this.checkedState[item] != checkedState) {
-        this.checkedState[item] = checkedState;
-        OnCheckedItemsChanged(new IndexedItem<T>[] { new IndexedItem<T>(IndexOf(item), item) });
-      }
+      SetItemCheckedState(IndexOf(item), checkedState);
+    }
+
+    /// <summary>
+    /// Sets the checked state of <paramref name="items"/> to <paramref name="checkedState"/>.
+    /// </summary>
+    /// <remarks>
+    /// This method is slower than <see cref="SetItemCheckedState(IEnumerable{int}, bool)"/>.
+    /// </remarks>
+    /// <param name="items">The items to set the checked state for.</param>
+    /// <param name="checkedState">The new checked state of <paramref name="item"/></param>
+    public void SetItemCheckedState(IEnumerable<T> items, bool checkedState) {
+      var changed = new List<IndexedItem<T>>();
+      foreach (var item in items) {
+        if (!this.checkedState.TryGetValue(item, out bool currentState)) throw new ArgumentException();
+        if (currentState != checkedState) {
+          this.checkedState[item] = checkedState;
+          changed.Add(new IndexedItem<T>(IndexOf(item), item));
+        }
+      }
+      if (changed.Count > 0) OnCheckedItemsChanged(changed);
     }
 
@@ -127,5 +146,28 @@
     /// <param name="checkedState">The new checked state of the item.</param>
     public void SetItemCheckedState(int itemIndex, bool checkedState) {
-      SetItemCheckedState(this[itemIndex], checkedState);
+      var item = list[itemIndex];
+      if (!this.checkedState.TryGetValue(item, out bool currentState)) throw new ArgumentException();
+      if (currentState != checkedState) {
+        this.checkedState[item] = checkedState;
+        OnCheckedItemsChanged(new IndexedItem<T>[] { new IndexedItem<T>(itemIndex, item) });
+      }
+    }
+
+    /// <summary>
+    /// Sets the checked state of all <paramref name="itemIndices"/> to <paramref name="checkedState"/>.
+    /// </summary>
+    /// <param name="itemIndices">The indices of all items to set the checked state for.</param>
+    /// <param name="checkedState">The new checked state of the item.</param>
+    public void SetItemCheckedState(IEnumerable<int> itemIndices, bool checkedState) {
+      var changed = new List<IndexedItem<T>>();
+      foreach (var index in itemIndices) {
+        var item = list[index];
+        if (!this.checkedState.TryGetValue(item, out bool currentState)) throw new ArgumentException();
+        if (currentState != checkedState) {
+          this.checkedState[item] = checkedState;
+          changed.Add(new IndexedItem<T>(index, item));
+        }
+      }
+      if (changed.Count > 0) OnCheckedItemsChanged(changed);
     }
 
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ConstraintCollection.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ConstraintCollection.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ConstraintCollection.cs	(revision 17226)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/DirectedGraph/Arc.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/DirectedGraph/Arc.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/DirectedGraph/Arc.cs	(revision 17226)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/DirectedGraph/DirectedGraph.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/DirectedGraph/DirectedGraph.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/DirectedGraph/DirectedGraph.cs	(revision 17226)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/DirectedGraph/Vertex.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/DirectedGraph/Vertex.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/DirectedGraph/Vertex.cs	(revision 17226)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ItemArray.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ItemArray.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ItemArray.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ItemCollection.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ItemCollection.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ItemCollection.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ItemDictionary.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ItemList.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ItemList.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ItemList.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ItemSet.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ItemSet.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ItemSet.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/KeyedItemCollection.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/NamedItemCollection.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/NamedItemCollection.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/NamedItemCollection.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/OperationCollection.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/OperationCollection.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/OperationCollection.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/OperatorCollection.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/OperatorCollection.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/OperatorCollection.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/OperatorList.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/OperatorList.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/OperatorList.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/OperatorSet.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/OperatorSet.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/OperatorSet.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ParameterCollection.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ParameterCollection.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ParameterCollection.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemCollection.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemCollection.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemCollection.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,7 +22,7 @@
 using System;
 using System.Collections.Generic;
+using HEAL.Attic;
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HEAL.Attic;
 
 namespace HeuristicLab.Core {
@@ -75,4 +75,8 @@
     }
 
+    public void SetItemCheckedState(IEnumerable<T> items, bool checkedState) {
+      CheckedItemCollection.SetItemCheckedState(items, checkedState);
+    }
+
     public void Add(T item, bool checkedState) {
       throw new NotSupportedException();
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemList.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemList.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyCheckedItemList.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,7 +22,7 @@
 using System;
 using System.Collections.Generic;
+using HEAL.Attic;
 using HeuristicLab.Collections;
 using HeuristicLab.Common;
-using HEAL.Attic;
 
 namespace HeuristicLab.Core {
@@ -72,6 +72,22 @@
     }
 
+    public bool ItemChecked(int itemIndex) {
+      return CheckedItemList.ItemChecked(itemIndex);
+    }
+
     public void SetItemCheckedState(T item, bool checkedState) {
       CheckedItemList.SetItemCheckedState(item, checkedState);
+    }
+
+    public void SetItemCheckedState(IEnumerable<T> items, bool checkedState) {
+      CheckedItemList.SetItemCheckedState(items, checkedState);
+    }
+
+    public void SetItemCheckedState(int itemIndex, bool checkedState) {
+      CheckedItemList.SetItemCheckedState(itemIndex, checkedState);
+    }
+
+    public void SetItemCheckedState(IEnumerable<int> itemIndices, bool checkedState) {
+      CheckedItemList.SetItemCheckedState(itemIndices, checkedState);
     }
 
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyItemArray.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyItemCollection.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyItemDictionary.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyItemList.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyItemSet.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ReadOnlyKeyedItemCollection.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ScopeList.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ScopeList.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ScopeList.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ValueParameterCollection.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ValueParameterCollection.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/ValueParameterCollection.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/VariableCollection.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/VariableCollection.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Collections/VariableCollection.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Constraints/ComparisonConstraint.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Constraints/ComparisonConstraint.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Constraints/ComparisonConstraint.cs	(revision 17226)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Constraints/Constraint.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Constraints/Constraint.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Constraints/Constraint.cs	(revision 17226)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Constraints/ConstraintOperation.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Constraints/ConstraintOperation.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Constraints/ConstraintOperation.cs	(revision 17226)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Constraints/EqualityConstraint.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Constraints/EqualityConstraint.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Constraints/EqualityConstraint.cs	(revision 17226)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Constraints/IConstraint.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Constraints/IConstraint.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Constraints/IConstraint.cs	(revision 17226)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Constraints/TypeCompatibilityConstraint.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Constraints/TypeCompatibilityConstraint.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Constraints/TypeCompatibilityConstraint.cs	(revision 17226)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Engine.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Engine.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Engine.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Executable.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Executable.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Executable.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/ExecutionContext.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/ExecutionContext.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/ExecutionContext.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/ExecutionState.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/ExecutionState.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/ExecutionState.cs	(revision 17226)
@@ -2,5 +2,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IArc.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IArc.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IArc.cs	(revision 17226)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IDirectedGraph.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IDirectedGraph.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IDirectedGraph.cs	(revision 17226)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IVertex.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IVertex.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/DirectedGraph/IVertex.cs	(revision 17226)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IAtomicOperation.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IAtomicOperation.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IAtomicOperation.cs	(revision 17226)
@@ -2,5 +2,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/ICheckedItemCollection.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/ICheckedItemCollection.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/ICheckedItemCollection.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,6 @@
 
 using System.Collections.Generic;
+using HEAL.Attic;
 using HeuristicLab.Collections;
-using HEAL.Attic;
 
 namespace HeuristicLab.Core {
@@ -31,4 +31,5 @@
     bool ItemChecked(T item);
     void SetItemCheckedState(T item, bool checkedState);
+    void SetItemCheckedState(IEnumerable<T> item, bool checkedState);
     void Add(T item, bool checkedState);
   }
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/ICheckedItemList.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/ICheckedItemList.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/ICheckedItemList.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,6 +21,6 @@
 
 using System.Collections.Generic;
+using HEAL.Attic;
 using HeuristicLab.Collections;
-using HEAL.Attic;
 
 namespace HeuristicLab.Core {
@@ -30,5 +30,9 @@
     IEnumerable<IndexedItem<T>> CheckedItems { get; }
     bool ItemChecked(T item);
+    bool ItemChecked(int itemIndex);
     void SetItemCheckedState(T item, bool checkedState);
+    void SetItemCheckedState(IEnumerable<T> items, bool checkedState);
+    void SetItemCheckedState(int itemIndex, bool checkedState);
+    void SetItemCheckedState(IEnumerable<int> itemIndices, bool checkedState);
     void Add(T item, bool checkedState);
     void Insert(int index, T item, bool checkedState);
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/ICheckedMultiOperator.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/ICheckedMultiOperator.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/ICheckedMultiOperator.cs	(revision 17226)
@@ -2,5 +2,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IConstrainedValueParameter.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IConstrainedValueParameter.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IConstrainedValueParameter.cs	(revision 17226)
@@ -2,5 +2,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IEngine.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IEngine.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IEngine.cs	(revision 17226)
@@ -2,5 +2,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IExecutable.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IExecutable.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IExecutable.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IExecutionContext.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IExecutionContext.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IExecutionContext.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IFixedValueParameter.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IFixedValueParameter.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IFixedValueParameter.cs	(revision 17226)
@@ -2,5 +2,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IInstrumentedOperator.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IInstrumentedOperator.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IInstrumentedOperator.cs	(revision 17226)
@@ -2,5 +2,5 @@
 
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IItem.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IItem.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IItem.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IItemArray.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IItemArray.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IItemArray.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IItemCollection.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IItemCollection.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IItemCollection.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IItemDictionary.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IItemDictionary.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IItemDictionary.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IItemList.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IItemList.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IItemList.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IItemSet.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IItemSet.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IItemSet.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IKeyedItemCollection.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IKeyedItemCollection.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IKeyedItemCollection.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/ILog.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/ILog.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/ILog.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/ILookupParameter.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/ILookupParameter.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/ILookupParameter.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IMultiOperator.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IMultiOperator.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IMultiOperator.cs	(revision 17226)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/INamedItem.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/INamedItem.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/INamedItem.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IOperation.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IOperation.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IOperation.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IOperator.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IOperator.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IOperator.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IOperatorGraphOperator.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IOperatorGraphOperator.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IOperatorGraphOperator.cs	(revision 17226)
@@ -3,5 +3,5 @@
 
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IParameter.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IParameter.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IParameter.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IParameterizedItem.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IParameterizedItem.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IParameterizedItem.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IParameterizedNamedItem.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IParameterizedNamedItem.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IParameterizedNamedItem.cs	(revision 17226)
@@ -2,5 +2,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IProgrammableItem.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IProgrammableItem.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IProgrammableItem.cs	(revision 17226)
@@ -2,5 +2,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IRandom.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IRandom.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IRandom.cs	(revision 17226)
@@ -2,5 +2,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IScope.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IScope.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IScope.cs	(revision 17226)
@@ -2,5 +2,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IScopeTreeLookupParameter.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IScopeTreeLookupParameter.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IScopeTreeLookupParameter.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IStatefulItem.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IStatefulItem.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IStatefulItem.cs	(revision 17226)
@@ -2,5 +2,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IValueLookupParameter.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IValueLookupParameter.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IValueLookupParameter.cs	(revision 17226)
@@ -2,5 +2,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IValueParameter.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IValueParameter.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IValueParameter.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IVariable.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IVariable.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Interfaces/IVariable.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Item.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Item.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Item.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Log.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Log.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Log.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/NamedItem.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/NamedItem.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/NamedItem.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/OperatorExecutionException.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/OperatorExecutionException.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/OperatorExecutionException.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/OperatorGraph.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/OperatorGraph.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/OperatorGraph.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/ParameterizedNamedItem.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/ParameterizedNamedItem.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/ParameterizedNamedItem.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/PersistenceContentManager.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/PersistenceContentManager.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/PersistenceContentManager.cs	(revision 17226)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,4 +25,5 @@
 using HEAL.Attic;
 using System;
+using System.Diagnostics;
 
 namespace HeuristicLab.Core {
@@ -30,11 +31,22 @@
     public PersistenceContentManager() : base() { }
 
-    protected override IStorableContent LoadContent(string filename) {
+    protected override IStorableContent LoadContent(string filename, out Info info) {
       bool useOldPersistence = XmlParser.CanOpen(filename);
-      if (useOldPersistence) return XmlParser.Deserialize<IStorableContent>(filename);
+      IStorableContent content = null;
+      if (useOldPersistence) {
+        var sw = new Stopwatch();
+        sw.Start();
+        content = XmlParser.Deserialize<IStorableContent>(filename);
+        sw.Stop();
+        info = new Info(filename, sw.Elapsed);
+      } else {
+        var ser = new ProtoBufSerializer();
+        content = (IStorableContent)ser.Deserialize(filename, out SerializationInfo serInfo);
+        info = new Info(filename, serInfo);
+      }
+      if (content == null) throw new PersistenceException($"Cannot deserialize root element of {filename}");
+      return content;
+    }
 
-      var ser = new ProtoBufSerializer();
-      return (IStorableContent)ser.Deserialize(filename, out SerializationInfo info);
-    }
 
     protected override void SaveContent(IStorableContent content, string filename, bool compressed, CancellationToken cancellationToken) {
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Plugin.cs.frame
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Plugin.cs.frame	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Plugin.cs.frame	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -29,5 +29,5 @@
   /// Plugin class for HeuristicLab.Core plugin.
   /// </summary>
-  [Plugin("HeuristicLab.Core", "3.3.15.$WCREV$")]
+  [Plugin("HeuristicLab.Core", "3.3.16.$WCREV$")]
   [PluginFile("HeuristicLab.Core-3.3.dll", PluginFileType.Assembly)]
   [PluginDependency("HeuristicLab.Attic", "1.0")]
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Properties/AssemblyInfo.cs.frame	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Properties/AssemblyInfo.cs.frame	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -32,5 +32,5 @@
 [assembly: AssemblyCompany("")]
 [assembly: AssemblyProduct("HeuristicLab")]
-[assembly: AssemblyCopyright("(c) 2002-2018 HEAL")]
+[assembly: AssemblyCopyright("(c) HEAL")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
@@ -54,3 +54,3 @@
 // by using the '*' as shown below:
 [assembly: AssemblyVersion("3.3.0.0")]
-[assembly: AssemblyFileVersion("3.3.15.$WCREV$")]
+[assembly: AssemblyFileVersion("3.3.16.$WCREV$")]
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Scope.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Scope.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Scope.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/ThreadSafeLog.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/ThreadSafeLog.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/ThreadSafeLog.cs	(revision 17226)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Variable.cs
===================================================================
--- branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Variable.cs	(revision 16946)
+++ branches/2521_ProblemRefactoring/HeuristicLab.Core/3.3/Variable.cs	(revision 17226)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
